REST APIEnterprise

PUT

This api is used to upload a new ECDSA challenge for the enterprise. This will replace the existing challenge if one exists.

Path Params

  • enterpriseId string required

    at least 1 characters · matches ^[0-9a-f]{32}$

Body Params

object

  • enterprise object required
    enterprise object
    • ntilde string required
      Range proof challenge value.

      at least 1 characters

    • h1 string required
      Range proof challenge value.

      at least 1 characters

    • h2 string required
      Range proof challenge value.

      at least 1 characters

    • verifiers object required
      verifiers object
      • adminSignature string required
        The admin signature is a hex string. Users should verify that the admin signature matches for the range proof challenge.

        at least 1 characters

    • paillierBlumProof object
      The paillierBlumProof value is only required when creating the initial config.
      paillierBlumProof object
      • w string required
        The w value of the Paillier Blum proof
      • x array of strings required
      • z array of strings required
    • ntildeProof object
      The ntildeProof value is only required when creating the initial config.
      ntildeProof object
      • h1WrtH2 object required
        h1WrtH2 object
        • alpha array of strings required
        • t array of strings required
      • h2WrtH1 object required
        h2WrtH1 object
        • alpha array of strings required
        • t array of strings required
  • bitgoNitroHsm object required
    bitgoNitroHsm object
    • verifiers object required
      verifiers object
      • adminSignature string required
        The admin signature is a hex string. Users should verify that the admin signature matches for the range proof challenge.

        at least 1 characters

  • bitgoInstitutionalHsm object required
    bitgoInstitutionalHsm object
    • verifiers object required
      verifiers object
      • adminSignature string required
        The admin signature is a hex string. Users should verify that the admin signature matches for the range proof challenge.

        at least 1 characters

Responses

200
OK

Response Body

object

  • enterprise object required
    enterprise object
    • verifiers object required
      verifiers object
      • adminSignature string required
        The admin signature is a hex string. Users should verify that the admin signature matches for the range proof challenge.
      • bitgoNitroHsmSignature string
      • bitgoInstitutionalHsmSignature string
    • paillierBlumProof object
      The paillierBlumProof value is only required when creating the initial config.
      paillierBlumProof object
      • w string required
        The w value of the Paillier Blum proof
      • x array of strings required
      • z array of strings required
    • ntildeProof object
      The ntildeProof value is only required when creating the initial config.
      ntildeProof object
      • h1WrtH2 object required
        h1WrtH2 object
        • alpha array of strings required
        • t array of strings required
      • h2WrtH1 object required
        h2WrtH1 object
        • alpha array of strings required
        • t array of strings required
    • ntilde string required
      Range proof challenge value
    • h1 string required
      Range proof challenge value
    • h2 string required
      Range proof challenge value
  • bitgoNitroHsm object required
    bitgoNitroHsm object
    • Same shape as TssConfigPartyChallenge.
  • bitgoInstitutionalHsm object required
    bitgoInstitutionalHsm object
    • Same shape as TssConfigPartyChallenge.
  • createdBy string required
    The ID of the user who created and verified the config
400
Bad Request

Response Body

ONE OF

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id